apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: uwv-app-debt-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/app-debt-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: app-debt-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: uwv-app-debt-process
    config:
      organization: "UWV"
      linkRegisterAPIKeySecretName: "uwv-link-register-apikey"
      linkRegisterAddress: "http://uwv-link-register"
      debtRegisterAPIKeySecretName: "uwv-debt-register-apikey"
      debtRegisterAddress: "http://uwv-debt-register"
    ingress:
      enabled: true
      hosts:
        - app-debt-process-uwv.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - app-debt-process-uwv.demo.blauweknop.app
